Bug 285303 - docx: List items not numbered properly
Summary: docx: List items not numbered properly
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: docx (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-30 10:15 UTC by Gopalakrishna Bhat
Modified: 2011-11-22 19:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
The document with the problem (55.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-10-30 10:15 UTC, Gopalakrishna Bhat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gopalakrishna Bhat 2011-10-30 10:15:15 UTC
Created attachment 65037 [details]
The document with the problem

Version:           svn (using KDE 4.7.2) 
OS:                Linux

Open the attached document in Calligra words and see the numbering on the list starting with "Muscular Strength". 

Reproducible: Always

Steps to Reproduce:
Open the attached document in Calligra words

Actual Results:  
You can see the the numbering for all list items start with 1 

Expected Results:  
The numbering should continue

I converted the attached document to ODT with KoConverter and opened in LibreOffice and saw the same problem. To me it seems like a filters problem. Each list item is considered as a separate list which should not be the case, all of them should belong to the same list.
Comment 1 Matus Uzak 2011-11-03 09:48:35 UTC
Assigned. I found this issue on my TODO list.
Comment 2 Matus Uzak 2011-11-22 19:15:04 UTC
Git commit e478769b38aad6a8ed4366f2819cac6cad2be728 by Matus Uzak.
Committed on 21/11/2011 at 19:39.
Pushed by uzak into branch 'master'.

docx: Automatic numbering support.

* Using the combination of text:continue-numbering and text:start-value, which is fine for
  simple docx files.  To support interferrence of numbered list at the same level with
  separate numbering the text:continue-list support is required.

* Stopped using the KoGenStyles::AllowDuplicates parameter when inserting a list style into
  the styles collection.

* Added support for the w:lvlOverride element.

TODO: Numbered lists inside tables.  In MSWord, the automatic numbering is applied in a
table column.  Each column has a separate numbered lists.  The filter is OK, waiting the
layout part to test.

BUG:285303

M  +11   -0    filters/libmsooxml/MsooXmlUtils.cpp
M  +11   -0    filters/libmsooxml/MsooXmlUtils.h
M  +17   -6    filters/words/docx/DocxImport.cpp
M  +124  -32   filters/words/docx/DocxXmlDocumentReader.cpp
M  +30   -6    filters/words/docx/DocxXmlDocumentReader.h
M  +24   -0    filters/words/docx/DocxXmlNumberingReader.cpp

http://commits.kde.org/calligra/e478769b38aad6a8ed4366f2819cac6cad2be728